Bug 168702 - Yum search should be inclusive
Yum search should be inclusive
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-19 12:58 EDT by Gravis
Modified: 2014-01-21 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 16:06:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gravis 2005-09-19 12:58:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
Yum search of several terms is painful. When I search with "yum -C search python postgres", I'd like to see all packages related to python and postgres, ie: the postgres module(s) for python.

Instead of that, I have all python packages, then all postgres packages...

I'm using sometimes yum -C list python*postgres sometimes, but it's a miracle when I find the first time what I'm looking for.

Version-Release number of selected component (if applicable):
yum-2.4.0

How reproducible:
Always

Steps to Reproduce:
1. yum -C search something something else
2.
3.
  

Actual Results:  Lots of useless (uncolorized) lines

Expected Results:  only a few line

Additional info:

The actual result of apt-cache search on debian distros is quite good, and really, really faster than yum, even with '-C' param.... :(
Comment 1 Jeremy Katz 2006-04-19 16:06:36 EDT
If you specify multiple terms, then they're searched for separately.  If you
want to search for both terms, then a regex like you used is the way to go.

Note You need to log in before you can comment on or make changes to this bug.